curl --request GET \
--url https://api.backside.app/api/v1/agents/{kind}/runs/{id} \
--header 'Authorization: Bearer <token>'{
"agent_kind": "<string>",
"consecutive_failures": 123,
"cost_usd_cents": 123,
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input": "<unknown>",
"platform_fee_cents": 123,
"run_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"steps": [
{
"input": "<unknown>",
"kind": "<string>",
"name": "<string>",
"seq": 123,
"started_at": "2023-11-07T05:31:56Z",
"cache_read_tokens": 123,
"cache_write_tokens": 123,
"completed_at": "2023-11-07T05:31:56Z",
"cost_usd_cents": 123,
"input_tokens": 123,
"model": "<string>",
"output": "<unknown>",
"output_tokens": 123
}
],
"budget_usd_cents": 123,
"deadline_at": "2023-11-07T05:31:56Z",
"failure_category": "<string>",
"failure_detail": "<string>",
"output": "<unknown>"
}curl --request GET \
--url https://api.backside.app/api/v1/agents/{kind}/runs/{id} \
--header 'Authorization: Bearer <token>'{
"agent_kind": "<string>",
"consecutive_failures": 123,
"cost_usd_cents": 123,
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input": "<unknown>",
"platform_fee_cents": 123,
"run_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"steps": [
{
"input": "<unknown>",
"kind": "<string>",
"name": "<string>",
"seq": 123,
"started_at": "2023-11-07T05:31:56Z",
"cache_read_tokens": 123,
"cache_write_tokens": 123,
"completed_at": "2023-11-07T05:31:56Z",
"cost_usd_cents": 123,
"input_tokens": 123,
"model": "<string>",
"output": "<unknown>",
"output_tokens": 123
}
],
"budget_usd_cents": 123,
"deadline_at": "2023-11-07T05:31:56Z",
"failure_category": "<string>",
"failure_detail": "<string>",
"output": "<unknown>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Run with journal steps
GET /agents/{kind}/runs/{id} response — the run plus its journal
entries in seq order. Steps are flattened into a list; there are no
sub-resources yet (agent_step_payloads is internal; agent_events
is chunk 10+).
Show child attributes
Was this page helpful?